Skip to main content
GET
Query Stocks Per Item

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://auth.jtl-cloud.com/oauth2/auth
Token URL
https://auth.jtl-cloud.com/oauth2/token
Scopes1
inventories.read
Grants permission to read stock levels.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

itemId
string<uuid>
Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

warehouseId
string<uuid>
Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

storageLocationId
string<uuid>
Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

pageNumber
integer<int32>

Number of the page of items to fetch.

pageSize
integer<int32>

Size of the page that is specified by pageNumber.

Response

The requested stock information.

Represents a paginated list of items

totalItems
integer<int32>
required

Gets or sets the total number of items available in the data source.

pageNumber
integer<int32>
required

Gets or sets the current page number in the paginated list.

pageSize
integer<int32>
required

Gets or sets the number of items per page in the paginated list.

items
object[]
required

Gets or sets the collection of items contained in the paged list.

totalPages
integer<int32>

Gets the total number of pages based on the total number of items and the page size.

hasPreviousPage
boolean

Gets a value indicating whether there is a previous page available in the paginated list.

hasNextPage
boolean

Gets a value indicating whether there is a next page available.

nextPageNumber
integer<int32>

Gets the number of the next page if there is one; otherwise, returns the total number of pages.

previousPageNumber
integer<int32>

Gets the number of the previous page. If there is no previous page, it returns 1.